#pragma once

#include "raylib.h"

typedef struct {
    char *name;
    Texture2D texture;
    u16 anim_count;
    u16 width;
    u16 height;
} SpriteSheet;

typedef struct {
    char* name;
    u16 pos_x;
    u16 pos_y;
    u16 rows;
    u16 cols;
    u16 width;
    u16 height;
} SpriteAnimation;

typedef struct {
    float time_elapsed;
    int frame;
} SpriteAnimationPlayback;
